Botan 1.10.17

Public Member Functions | List of all members
Botan::BER_Decoding_Error Struct Reference

`#include <asn1_int.h>`

Inheritance diagram for Botan::BER_Decoding_Error:

## Public Member Functions
| BER_Decoding_Error (const std::string &)

## Detailed Description

General BER Decoding Error Exception

Definition at line 107 of file asn1_int.h.

## Constructor & Destructor Documentation

## ◆ BER_Decoding_Error()

Botan::BER_Decoding_Error::BER_Decoding_Error | ( | const std::string & | str | ) |

Definition at line 19 of file asn1_int.cpp.

19 :
20 Decoding_Error("BER: " + str) {}
Botan::Decoding_Error::Decoding_Error
Decoding_Error(const std::string &name)
Definition: exceptn.h:140

The documentation for this struct was generated from the following files:

- src/asn1/asn1_int.h
- src/asn1/asn1_int.cpp